import request from '@/utils/request'

// 查询用户登陆列表
export function listUserLogin(query) {
  return request({
    url: '/xq/userLogin/list',
    method: 'get',
    params: query
  })
}

// 查询用户登陆详细
export function getUserLogin(id) {
  return request({
    url: '/xq/userLogin/' + id,
    method: 'get'
  })
}

// 新增用户登陆
export function addUserLogin(data) {
  return request({
    url: '/xq/userLogin',
    method: 'post',
    data: data
  })
}

// 修改用户登陆
export function updateUserLogin(data) {
  return request({
    url: '/xq/userLogin',
    method: 'put',
    data: data
  })
}

// 删除用户登陆
export function delUserLogin(id) {
  return request({
    url: '/xq/userLogin/' + id,
    method: 'delete'
  })
}
